# video.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for video.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | defaultColor 0x0F

## Functions

void | backSpace ()
void | clearScreen ()
void | kprint (char *string)

## Variables

int | printColor

## Define Documentation

#define defaultColor 0x0F

Definition at line 35 of file video.h.

Referenced by clearScreen().

## Function Documentation

void backSpace | ( |  | ) |

Definition at line 40 of file video.c.

References inportByte(), outportByte(), printColor, tty_foreground, tty_termNode::tty_x, tty_termNode::tty_y, and videoBuffer.

Referenced by keyboardHandler().

Here is the call graph for this function:

void clearScreen | ( |  | ) |

Definition at line 115 of file video.c.

References defaultColor, outportByte(), videoBuffer, and x20.

Referenced by kmain().

Here is the call graph for this function:

void kprint | ( | char * | string | ) |

Definition at line 62 of file video.c.

References inportByte(), NULL, outportByte(), printColor, tty_find(), tty_foreground, tty_print(), videoBuffer, and x20.

Referenced by fdcRw(), kmain(), and kprintf().

Here is the call graph for this function:

## Variable Documentation

int printColor

Definition at line 37 of file video.c.

Referenced by backSpace(), and kprint().